<?php
/**
* Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.  See License in the project root for license information.
* 
* LogicAppTriggerEndpointConfiguration File
* PHP version 7
*
* @category  Library
* @package   Microsoft.Graph
* @copyright (c) Microsoft Corporation. All rights reserved.
* @license   https://opensource.org/licenses/MIT MIT License
* @link      https://graph.microsoft.com
*/
namespace Beta\Microsoft\Graph\Model;
/**
* LogicAppTriggerEndpointConfiguration class
*
* @category  Model
* @package   Microsoft.Graph
* @copyright (c) Microsoft Corporation. All rights reserved.
* @license   https://opensource.org/licenses/MIT MIT License
* @link      https://graph.microsoft.com
*/
class LogicAppTriggerEndpointConfiguration extends CustomExtensionEndpointConfiguration
{
    /**
    * Set the @odata.type since this type is immediately descended from an abstract
    * type that is referenced as the type in an entity.
    * @param array $propDict The property dictionary
    */
    public function __construct($propDict = array())
    {
        parent::__construct($propDict);
        $this->setODataType("#microsoft.graph.logicAppTriggerEndpointConfiguration");
    }

    /**
    * Gets the logicAppWorkflowName
    *
    * @return string|null The logicAppWorkflowName
    */
    public function getLogicAppWorkflowName()
    {
        if (array_key_exists("logicAppWorkflowName", $this->_propDict)) {
            return $this->_propDict["logicAppWorkflowName"];
        } else {
            return null;
        }
    }

    /**
    * Sets the logicAppWorkflowName
    *
    * @param string $val The value of the logicAppWorkflowName
    *
    * @return LogicAppTriggerEndpointConfiguration
    */
    public function setLogicAppWorkflowName($val)
    {
        $this->_propDict["logicAppWorkflowName"] = $val;
        return $this;
    }
    /**
    * Gets the resourceGroupName
    *
    * @return string|null The resourceGroupName
    */
    public function getResourceGroupName()
    {
        if (array_key_exists("resourceGroupName", $this->_propDict)) {
            return $this->_propDict["resourceGroupName"];
        } else {
            return null;
        }
    }

    /**
    * Sets the resourceGroupName
    *
    * @param string $val The value of the resourceGroupName
    *
    * @return LogicAppTriggerEndpointConfiguration
    */
    public function setResourceGroupName($val)
    {
        $this->_propDict["resourceGroupName"] = $val;
        return $this;
    }
    /**
    * Gets the subscriptionId
    *
    * @return string|null The subscriptionId
    */
    public function getSubscriptionId()
    {
        if (array_key_exists("subscriptionId", $this->_propDict)) {
            return $this->_propDict["subscriptionId"];
        } else {
            return null;
        }
    }

    /**
    * Sets the subscriptionId
    *
    * @param string $val The value of the subscriptionId
    *
    * @return LogicAppTriggerEndpointConfiguration
    */
    public function setSubscriptionId($val)
    {
        $this->_propDict["subscriptionId"] = $val;
        return $this;
    }
}
